Distributions
POST /sequences/{sequenceId}/waitlist/enter
Enter a waitlist
POST
/
sequences
/
{sequenceId}
/
waitlist
/
enter
cURL
curl --request POST \
--url https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({consumerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', email: '<string>'})
};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter"
payload = {
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter"
payload := strings.NewReader("{\n \"consumerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"consumerId": "<string>",
"enteredAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waitlisted",
"waitlistId": "<string>",
"notifiedAt": "<string>",
"updatedAt": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Path Parameters
Response
Consumer waitlisted successfully
⌘I
cURL
curl --request POST \
--url https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({consumerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', email: '<string>'})
};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter"
payload = {
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/enter"
payload := strings.NewReader("{\n \"consumerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"consumerId": "<string>",
"enteredAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waitlisted",
"waitlistId": "<string>",
"notifiedAt": "<string>",
"updatedAt": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}